"use strict";

const either = require("@validatem/either");
const wrapError = require("@validatem/wrap-error");

module.exports = function (operations) {
	const isObjectType = require("../is-object-type")(operations);

	return wrapError("Must be an index type", either([
		isObjectType("index"),
		isObjectType("indexWhere"),
		isObjectType("unique"),
		isObjectType("uniqueWhere"),
	]));
};
